Name:           olpc-hardware-manager
Version:        0.4.2
Release:        1%{?dist}
Summary:        OLPC hardware manager

License:        GPL
Group:          System Environment/Daemons
URL:            http://dev.laptop.org

# To download a copy of this code:
# git clone git://dev.laptop.org/hardware-manager
# cd hardware-manager
# sha1sum olpc-hardware-manager hardwaremanager.py olpc-hardware-manager.conf COPYING
#
#9da99d71ff7bf6f909ab83b5da07925e2e1e23d8  olpc-hardware-manager
#8f3e91285e7368499e6895967f9cc75c2261fd55  hardwaremanager.py
#855a87a1230731daa999daa95731e15b60678856  olpc-hardware-manager.conf
#06877624ea5c77efe3b7e39b0f909eda6e25a4ec  COPYING

Source0:        olpc-hardware-manager
Source1:        hardwaremanager.py
Source2:        olpc-hardware-manager.conf
Source3:        COPYING

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
Requires:       dbus-python
Requires:       pygobject2

%description
The OLPC Hardware manager

%prep
%setup -c -T
cp -p %{SOURCE3} .

%build

%install
rm -rf %{buildroot}
install -p -D -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/dbus-1/system.d/olpc-hardware-manager.conf
install -p -D -m 0755 %{SOURCE0} %{buildroot}%{_sysconfdir}/init.d/olpc-hardware-manager
install -p -D -m 0755 %{SOURCE1} %{buildroot}%{_bindir}/olpc-hardware-manager

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add olpc-hardware-manager

%preun
if [ $1 -eq 0 ]; then
  /sbin/service olpc-hardware-manager stop >/dev/null 2>&1
  /sbin/chkconfig --del olpc-hardware-manager
fi

%files
%defattr(-,root,root,-)
%doc COPYING
%{_sysconfdir}/dbus-1/system.d/olpc-hardware-manager.conf
%{_sysconfdir}/init.d/olpc-hardware-manager
%{_bindir}/olpc-hardware-manager

%changelog
* Thu Jan 17 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.4.2-1
- Relax dbus permission so that activities can call the service

* Tue Jul 24 2007 Dan Williams <dcbw@redhat.com> - 0.4.1-7
- 'm' -> 'mem' for suspend

* Tue Jun 19 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.4.1-6
- Update comments on how to download/verify code.

* Tue Jun 19 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.4.1-5
- Clean up post scriptlet and add proper requires for post and preun scriptlets.

* Tue Jun 19 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.4.1-4
- Fix inconsistent use of macros.

* Fri Jun 15 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.4.1-3
- Copy the COPYING file to somewhere that the doc macro can find it.

* Fri Jun 15 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.4.1-2
- Add requires for dbus-python and pygobject2
- Convert tabs to spaces.
- Add empty prep and build sections
- Add "rm -rf" to clean out the build root before installing.
- Use "install" instead of mkdir & cp
- Add some comments about how to obtain a copy of the code from upstream.

* Mon May 14 2007 Dan Williams <dcbw@redhat.com> 0.3.1-1
- Update to 0.3.1 (suspend + DCON source)

* Wed Jan 10 2007 Marco Pesenti Gritti <mpg@redhat.com> 0.2-1
- Update to 0.2
